aboutsummaryrefslogtreecommitdiff
path: root/package/libvips
Commit message (Collapse)AuthorAgeFilesLines
* package/libvips: use the new fftw-double packageGravatar Gwenhael Goavec-Merou2019-02-061-2/+2
| | | | | | | | | | | This patch add an explicitly dependency to fftw-double (the only compatible fftw's flavor) instead of default behavior where the package do assumption about the compatible version. Signed-off-by: Gwenhael Goavec-Merou <gwenhael.goavec-merou@trabucayre.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com> Acked-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* libvips: use the new gettext logicGravatar Thomas Petazzoni2017-07-052-3/+2
| | | | | | | | | | | | | This commit switches to use the new gettext logic, which involves: - using TARGET_NLS_DEPENDENCIES instead of hand-encoded dependencies on gettext/host-gettext - dropping BR2_PACKAGE_GETTEXT selection. We adjust the comment explaining the BR2_USE_WCHAR dependency, since gettext is no longer the reason for this dependency. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, package: use SPDX short identifier for LGPLv2.1/LGPLv2.1+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for LGPLv2.1/LGPLv2.1+ is LGPL-2.1/LGPL-2.1+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/LGPLv2.1(\+)?/LGPL-2.1\1/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libvips: fix compile error for sparc64Gravatar Waldemar Brodkorb2015-12-241-0/+10
| | | | | | | | | | | | Fixes following build error: http://autobuild.buildroot.net/results/1515f070c0fd410c681fc8306700244c34eb1635/ [Thomas: - simplify logic. - add reference to submitted gcc bug.] Signed-off-by: Waldemar Brodkorb <wbx@openadk.org> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: indentation cleanupGravatar Jerzy Grzegorek2015-06-221-2/+2
| | | | | Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libvips: bump version to 7.42.2Gravatar Vicente Olivert Riera2015-02-072-1/+3
| | | | | | | | - Bump version to 7.42.2 - Add a hash file Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libvips: requires C++ supportGravatar Vicente Olivert Riera2015-02-052-6/+8
| | | | | | | | | | | | | | | | | | | | | | | | libvips requires C++ support, otherwise it will fail with an error message like this one: error: ../libvips/.libs/libvips.so: No such file or directory The '--disable-cxx' configure option seems to be broken, so in the meantime a compiler with C++ support is required in order to build libvips successfully. Reported upstream: https://github.com/jcupitt/libvips/issues/231 Fixes: http://autobuild.buildroot.net/results/cdc7cf5d3501f80c74b70aa09f93b2ad4e2f8602/ http://autobuild.buildroot.net/results/39173dbcbbd0a243900ea583cec024b51f8b803a/ http://autobuild.buildroot.net/results/6794705195bcdb636a8e6582ef5a1e153d4d66b3/ Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libvips: new packageGravatar Pieter De Gendt2015-02-023-0/+130
[Thomas: - Fix variable name: LIBVIPS_CONF_OPTSS -> LIBVIPS_CONF_OPTS - Add a lot of --without-<foo> options to make sure we explicitly disable optional features that are not handled by the .mk file. - Remove the host-swig dependency, which was probably thought of being needed by Pieter due to --without-python not being passed explicitly. - Remove trailing spaces in Config.in. - Rename patch to the new naming convention.] Signed-off-by: Pieter De Gendt <pieter.degendt@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>